download:
    path: /backend/download/{type}/{id}
    controller: App\Controller\DownloadController::index

datatakeout:
    path: /backend/download/takeout
    controller: App\Controller\DownloadController::takeout

entriesController:
    path: /backend/entries/{status}/{option?}
    controller: App\Controller\EntriesController::index

ModalController:
    path: /backend/modal/{id}/{status?}
    controller: App\Controller\ModalController::index

InsertController:
    path: /backend/insert/
    controller: App\Controller\InsertController::index
    methods: [GET, POST]

FrontendController:
    path: /
    controller: App\Controller\FrontendController::index

UploadController:
    path: /uploaded
    controller: App\Controller\UploadController::index

# AboutUsController:
#     path: /about
#     controller: App\Controller\AboutUsController::index

AboutUs:
    path: /about
    controller: Symfony\Bundle\FrameworkBundle\Controller\TemplateController
    defaults: 
        template: 'about/about.html.twig'

# ImprintController:
#     path: /imprint
#     controller: App\Controller\ImprintController::index

Imprint:
    path: /imprint
    controller: Symfony\Bundle\FrameworkBundle\Controller\TemplateController
    defaults:
        template: 'imprint/imprint.html.twig'

backend_conversations_list:
    path: /backend/conversations/status/{status}
    controller: App\Controller\ConversationsController::list
    methods: [GET]

backend_conversation_create:
    path: /backend/conversations
    controller: App\Controller\ConversationsController::create
    methods: [POST]

backend_conversation_close:
    path: /backend/conversations/{id}
    controller: App\Controller\ConversationsController::close
    methods: [PATCH]

backend_conversation_read:
    path: /backend/conversations/image/{id}
    controller: App\Controller\ConversationsController::read
    methods: [GET]

app_login:
    path: /login
    controller: App\Controller\LoginController::login

app_logout:
    path: /logout
    controller: App\Controller\LoginController::logout

app_delete:
    path: /backend/delete/{id}
    controller: App\Controller\InsertController::delete

DrawingController:
    path: /save_drawing
    controller: App\Controller\DrawingController::index

backend:
    path: /backend/{id?}
    controller: App\Controller\BackendController::index
    methods: [GET]
